org.apache.cxf.transport

## Interface DestinationFactoryManager

- All Known Implementing Classes:
    DestinationFactoryManagerImpl

      public interface DestinationFactoryManager

  The DestinationFactoryManager provides an interface to register and retrieve transport factories.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deregisterDestinationFactory(String name)` Unregister a `DestinationFactory`.
    `DestinationFactory` | `getDestinationFactory(String name)` Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.
    `DestinationFactory` | `getDestinationFactoryForUri(String uri)`
    `void` | `registerDestinationFactory(String name, DestinationFactory factory)` Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.

- - ### Method Detail

    - #### registerDestinationFactory

          void registerDestinationFactory(String name,
                                          DestinationFactory factory)

      Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.
      Parameters:
        `name` - A string containing the name used to identify the `DestinationFactory`
        `factory` - The `DestinationFactory` to be registered.

    - #### deregisterDestinationFactory

          void deregisterDestinationFactory(String name)

      Unregister a `DestinationFactory`.
      Parameters:
        `name` - A string containing the name of the `DestinationFactory`.

    - #### getDestinationFactory

          DestinationFactory getDestinationFactory(String name)
                                            throws BusException

      Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.
      Parameters:
        `name` -
      Returns:
        the registered `DestinationFactory`
      Throws:
        `BusException`

    - #### getDestinationFactoryForUri

          DestinationFactory getDestinationFactoryForUri(String uri)

Apache CXF